#include "netfs.h"
#include <stdio.h>

int main(int argc, char **argv) {
	struct netfs_connection *conn;
	netfs_handle_t handle;
	size_t blocksize = 4096;
	uint8_t data[blocksize];

	conn = netfs_connect("localhost", 6999);
	if(!conn) {
		netfs_reportError();
		exit(1);
	}

	handle = netfs_open(conn, "/home/inglorion/fortunes/fortunes", NETFS_O_RDONLY);
	if(!handle) {
		netfs_reportError();
		netfs_quit(conn);
		exit(1);
	}

	while(1) {
		if(!netfs_read(conn, handle, data, &blocksize)) {
			netfs_reportError();
			break;
		} else if(blocksize == 0) {
			break;
		}
		write(1, data, blocksize);
	}

	netfs_close(conn, handle);

	netfs_quit(conn);

	return 0;
}
