#include "netfs.h"

/* From super.c */
extern struct super_block *netfs_get_sb(
	struct file_system_type *fs_type,
	int flags, const char *dev_name, void *data);

static struct file_system_type netfs = {
	.owner		= THIS_MODULE,
	.name		= "netfs",
	.get_sb		= netfs_get_sb,
	.kill_sb	= kill_anon_super,
	.fs_flags	= 0
};

static int __init netfs_init(void) {
	return register_filesystem(&netfs);
}

static void __exit netfs_exit(void) {
	unregister_filesystem(&netfs);
}

module_init(netfs_init);
module_exit(netfs_exit);
MODULE_LICENSE("Dual BSD/GPL");
MODULE_AUTHOR("Robbert Haarman <netfs@inglorion.net>");
