#include "netfs.h"

/* From inode.c */
extern void netfs_read_inode(struct inode *inode);

static void netfs_put_super(struct super_block *sb) {
	return;
}

static struct super_operations netfs_ops = {
	.read_inode	= netfs_read_inode,
	.put_super	= netfs_put_super,
	.statfs		= simple_statfs
};

int netfs_fill_super(struct super_block *sb, void *data, int silent) {
	struct inode *root;

	/* This is simple */
	sb->s_op = &netfs_ops;

	/* I guess I can pass anything I want here */
	sb->s_blocksize = 4096;
	sb->s_blocksize_bits = 12;

	/* This is guesswork */
	root = iget(sb, ROOT_INO);
	sb->s_root = d_alloc_root(root);
	if(!sb->s_root) return -EINVAL;

	/* Indicate success */
	return 0;
}

struct super_block *netfs_get_sb(
	struct file_system_type *fs_type,
	int flags, const char *dev_name, void *data) {

	return get_sb_nodev(fs_type, flags, data, netfs_fill_super);
}
