'''Helper functions for writing netfs clients and servers'''

def recvInt(conn):
	'''Read an integer from the remote party'''
	val = 0
	shift = 0
	while True:
		n = ord(conn.recv(1))
		val += ((n & 0x7f) << shift)
		if not n & 0x80: break
		shift += 7
	return val

def sendInt(conn, val):
	'''Send an integer to the remote party'''
	while True:
		n = val & 0x7f
		val = val >> 7
		if val == 0:
			conn.send(chr(n))
			break
		else:
			conn.send(chr(n | 0x80))

class Error(Exception):
	def __str__(self):
		return self.message

class ProtocolError(Error):
	def __init__(self, message = 'Protocol error'):
		self.message = message

class FileError(Error):
	def __init__(self, message = 'File operation failed'):
		self.message = message
