#! /usr/bin/env python

import sys, os.path
from netfs.client import *

PORT = 6999
BLOCKSIZE = 4096

def usage():
	print '''USAGE netfsget.py <server>/<file>'''
	sys.exit(0x80)

# Parse command line

if len(sys.argv) < 2:
	usage()

i = 1
while i < len(sys.argv):
	if sys.argv[i][0] == '-':
		# No options supported at this time
		usage()
	else:
		host, path = sys.argv[i].split('/', 1)
		path = '/' + path
	i += 1

file = os.path.basename(path)

# Open output file
out = __builtins__.open(file, 'w')

# Connect
conn = connect(host, PORT)

# Open file
handle = open(conn, path)

# Get file
while True:
	data = read(conn, handle, BLOCKSIZE)
	if data == '':
		break
	out.write(data)

# Clean up
close(conn, handle)
quit(conn)
out.close()
